package com.cmx.wanhui.ui

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.cmx.wanhui.R
import com.cmx.wanhui.constant.Events
import com.cmx.wanhui.utils.L
import com.lsxiao.apollo.core.Apollo
import com.lsxiao.apollo.core.annotations.Receive
import kotlinx.android.synthetic.main.fragment_home.tv_te
import kotlinx.android.synthetic.main.fragment_notifications.wv_mine

class PersonalFragment : BaseFragment() {


    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        return inflater.inflate(R.layout.fragment_notifications, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        setVebView(wv_mine!!)
        wv_mine!!.loadUrl("https://www.baidu.com/")//SERVER_URL
        showDialog()
        //wv_mine!!.webChromeClient = PQChromeClient()
    }


    /**
     * 二维码扫描返回
     */
    @Receive(Events.JS_OPEN_SCANQR_BACK)
    fun onQRBack(msg: String) {
        val jsString = "javascript:onQRBack($msg)"
        L.e("JS二维码扫描返回>>>>", jsString)
        wv_mine!!.evaluateJavascript(jsString) { }
    }
}